Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gentoolkit emerge problems
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Jean
n00b
n00b


Joined: 02 May 2002
Posts: 8

PostPosted: Thu Jun 20, 2002 5:51 am    Post subject: gentoolkit emerge problems Reply with quote

I recently re-installed Gentoo on a different partition. Although I had emerged gentoolkit the first time OK (back in May), now I cannot do it. I am getting the following error:-
Quote:
bash-2.05a# emerge gentoolkit
Calculating dependencies ...done!
>>> emerge dev-util/dialog-0.9_beta20020519 to /
Traceback (most recent call last):
File "/usr/bin/emerge", line 1231, in ?
mydepgraph.merge(mydepgraph.altlist())
File "/usr/bin/emerge", line 610, in merge
retval=portage.doebuild(y,"merge",myroot,edebug)
File "/usr/lib/python2.2/site-packages/portage.py", line 1087, in doebuild
if not fetch(fetchme):
File "/usr/lib/python2.2/site-packages/portage.py", line 813, in fetch
mydigests[myline[2]]={"md5":myline[1],"size":string.atol(myline[3])}
IndexError: list index out of range



I have updated all the system files (as far as I know) but still get the same error.
Anyone else had this problem?
_________________
Jean C.
Back to top
View user's profile Send private message
delta407
Bodhisattva
Bodhisattva


Joined: 23 Apr 2002
Posts: 2876
Location: Chicago, IL

PostPosted: Thu Jun 20, 2002 6:30 am    Post subject: Reply with quote

What version of Portage are you running? This looks like a Portage bug.
Back to top
View user's profile Send private message
klieber
Administrator
Administrator


Joined: 17 Apr 2002
Posts: 3657
Location: San Francisco, CA

PostPosted: Thu Jun 20, 2002 12:04 pm    Post subject: Reply with quote

If you're using an older version of portage (< 1.8.8) then it's no longer supported. See this thread

--kurt
_________________
The problem with political jokes is that they get elected
Back to top
View user's profile Send private message
brainlock
Tux's lil' helper
Tux's lil' helper


Joined: 20 Jun 2002
Posts: 110

PostPosted: Thu Jun 20, 2002 4:17 pm    Post subject: Same here Reply with quote

Exact same problem as you when I tried to install gentoolkit.
I just installed Gentoo 1.2, did emerge --update system
then when I wanted to emerge gentoolkit, i got the same message you wrote.

If someone can help...
Back to top
View user's profile Send private message
Jean
n00b
n00b


Joined: 02 May 2002
Posts: 8

PostPosted: Fri Jun 21, 2002 4:32 am    Post subject: gentoolkit emerge problems Reply with quote

I am using version 2.0.1 of portage according to emerge -s!
_________________
Jean C.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum